{if $product.product_id|fn_allow_fractional_amount}
<div class="cm-reload-{$obj_prefix}{$obj_id}" id="qty_update_{$obj_prefix}{$obj_id}">
    <input type="hidden" name="appearance[show_qty]" value="{$show_qty}" />
    <input type="hidden" name="appearance[capture_options_vs_qty]" value="{$capture_options_vs_qty}" />
    {assign var="qty_step" value=$product.product_id|fn_get_product_amount_step}
    {assign var="min_qty" value=$product.product_id|fn_csc_get_product_min_qty}
    {assign var="sale_type" value=$product.product_id|fn_get_product_sale_type}
    {if !empty($product.selected_amount)}
        {assign var="default_amount" value=$product.selected_amount}
    {elseif !empty($min_qty)}
        {assign var="default_amount" value=$min_qty}
    {*elseif !empty($qty_step)}
        {assign var="default_amount" value=$qty_step*}
    {else}
        {assign var="default_amount" value="1"}
    {/if}

    {assign var="qty_step" value=$product.product_id|fn_get_product_amount_step}
    {assign var="postfix" value=$product.product_id|fn_get_product_amount_postfix}

    {if $show_qty && $product.is_edp !== "Y" && $cart_button_exists == true && ($settings.General.allow_anonymous_shopping == "allow_shopping" || $auth.user_id) && $product.avail_since <= $smarty.const.TIME || ($product.avail_since > $smarty.const.TIME && $product.out_of_stock_actions == "OutOfStockActions::BUY_IN_ADVANCE"|enum)}
        <div class="ty-qty clearfix{if $settings.Appearance.quantity_changer == "Y"} changer{/if}" id="qty_{$obj_prefix}{$obj_id}">
            {if !$hide_qty_label}<label class="ty-control-group__label" for="qty_count_{$obj_prefix}{$obj_id}">{$quantity_text|default:__("quantity")}{if $product.product_id|fn_allow_fractional_amount}{if $product.product_id|fn_get_product_sale_type == "pieces"} ({$postfix}){else}{__("pack_qty")}{/if}{/if}:</label>{/if}
            {if $product.qty_content}
                <select name="product_data[{$product.product_id}][amount]" id="qty_count_{$obj_prefix}{$obj_id}">
                    {assign var="a_name" value="product_amount_`$obj_prefix``$obj_id`"}
                    {assign var="selected_amount" value=false}
                    {foreach name="`$a_name`" from=$product.qty_content item="var"}
                        <option value="{$var}" {if $product.selected_amount && ($product.selected_amount == $var || ($smarty.foreach.$a_name.last && !$selected_amount))}{assign var="selected_amount" value=true}selected="selected"{/if}>{$var}</option>
                    {/foreach}
                </select>
            {else}
                {if $product.product_id|fn_allow_fractional_amount}
                    <script>
                        min_product_qty[{$product.product_id}] = {$product.product_id|fn_csc_get_product_min_qty};
                        product_qty_step[{$product.product_id}] = {$product.product_id|fn_get_product_amount_step};
                    </script>
                    <div class="csc-changers">
                        {if $sale_type == "packs" && $addons.csc_fractional_stock.show_sale_types == 'all'}
                            <div class="ty-center ty-value-changer cm-csc-value-changer-fake" style="width: 80px;">
                                {if $settings.Appearance.quantity_changer == "Y"}
                                    <a class="ty-value-changer__increase" id="increase_fake_{$obj_id}" onclick="fn_increase_amount_fake({$qty_step}, {$obj_id});fn_increase_amount_{$sale_type}({$qty_step}, {$obj_id});">&#43;</a>
                                {/if}
                                <input type="text" size="5" class="ty-value-changer__input" id="qty_count_fake_{$obj_id}" value="{$qty_step * $default_amount}" data-ca-step="{$qty_step}" data-ca-min-qty="{$min_qty * $qty_step}" style="width: 63px;" onchange="fn_normalize_pieces($(this).val(), {$qty_step}, {$min_qty * $qty_step}, {$product.product_id}, 'fake');" />
                                {if $settings.Appearance.quantity_changer == "Y"}
                                    <a class="ty-value-changer__decrease" id="decrease_fake_{$obj_id}" onclick="fn_decrease_amount_fake_packs({$qty_step}, {$obj_id});fn_decrease_amount_{$sale_type}({$qty_step}, {$obj_id});">&minus;</a>
                                {/if}

                                {$postfix}
                            </div>
                            <img src="design/themes/responsive/media/images/addons/csc_fractional_stock/change.png" style="margin-top: 5px;">
                        {/if}
                        {assign var="fake_qty_step" value=""}
                        {assign var="fake_min_qty" value=""}
                        {if $sale_type == "pieces"}
                            {$fake_qty_step = 1}
                            {$fake_min_qty = $min_qty}
                        {else}
                            {$fake_min_qty = $qty_step * $min_qty}
                            {$fake_qty_step = $qty_step}
                        {/if}
                        <div class="ty-center ty-value-changer cm-csc-value-changer" style="width: 80px;">
                            {if $settings.Appearance.quantity_changer == "Y"}
                                <a class="ty-value-changer__increase" id="increase_{$obj_id}" onclick="fn_increase_amount_{$sale_type}({$qty_step}, {$obj_id});fn_increase_amount_fake({$fake_qty_step}, {$obj_id});">&#43;</a>
                            {/if}
                            <input type="text" size="5" onchange="fn_normalize_{$sale_type}($(this).val(), {$qty_step}, {$fake_min_qty}, {$product.product_id}, 'orig');" class="ty-value-changer__input cm-amount" id="amount_{$obj_id}" name="product_data[{$product.product_id}][amount]" value="{$default_amount}"{if $qty_step > 0} data-ca-step="{$qty_step}"{/if} data-ca-min-qty="{$min_qty}" style="width: 63px;" />
                            {if $settings.Appearance.quantity_changer == "Y"}
                                <a class="ty-value-changer__decrease" id="decrease_{$obj_id}" onclick="fn_decrease_amount_{$sale_type}({$qty_step}, {$obj_id});fn_decrease_amount_fake_{$sale_type}({$fake_qty_step}, {$obj_id});">&minus;</a>
                            {/if}
                            {if $sale_type == "packs"}<div>{__("csc_pack_short")}</div>{/if}
                            {if $sale_type == "pieces"}<div>{$postfix}</div>{/if}
                        </div>
                        {if $sale_type == "pieces" && $addons.csc_fractional_stock.show_sale_types == 'all'}
                            <img src="design/themes/responsive/media/images/addons/csc_fractional_stock/change.png" style="margin-top: 5px;">
                            <div class="ty-center ty-value-changer cm-csc-value-changer-fake" style="width: 80px;">
                                {if $settings.Appearance.quantity_changer == "Y"}
                                    <a class="ty-value-changer__increase" id="increase_fake_{$obj_id}" onclick="fn_increase_amount_fake(1, {$obj_id});fn_increase_amount_{$sale_type}({$qty_step}, {$obj_id});">&#43;</a>
                                {/if}
                                <input type="text" size="5" onchange="fn_normalize_packs($(this).val(), {$qty_step}, {$min_qty}, {$product.product_id}, 'fake');" class="ty-value-changer__input" id="qty_count_fake_{$obj_id}" value="{$min_qty / $qty_step}" data-ca-step="{$product.qty_step}" data-ca-min-qty="{$min_qty / $qty_step}" style="width: 63px;" />
                                {if $settings.Appearance.quantity_changer == "Y"}
                                    <a class="ty-value-changer__decrease" id="decrease_fake_{$obj_id}" onclick="fn_decrease_amount_fake_pieces(1, {$obj_id});fn_decrease_amount_{$sale_type}({$qty_step}, {$obj_id});">&minus;</a>
                                {/if}

                                <div>{__("csc_pack_short")}</div>
                            </div>
                        {/if}
                    </div>
                    {*if $sale_type == "packs"}
                        <div>
                            {__("in_one_pack")}: <b><span class="qty_in_one_pack">{$qty_step}</span> {$postfix}</b><br>
                            {__("total")}: <b><span class="qty_total">{$qty_step * $min_qty}</span> {$postfix}</b>
                        </div>
                    {/if*}
                {else}
                    <div class="ty-center ty-value-changer cm-value-changer">
                        {if $settings.Appearance.quantity_changer == "Y"}
                            <a class="cm-increase ty-value-changer__increase">&#43;</a>
                        {/if}
                        <input type="text" size="5" class="ty-value-changer__input cm-amount" id="qty_count_{$obj_prefix}{$obj_id}" name="product_data[{$product.product_id}][amount]" value="{$default_amount}"{if $qty_step > 0} data-ca-step="{$qty_step}"{/if} data-ca-min-qty="{if $min_qty > 0}{$min_qty}{else}1{/if}" />
                        {if $settings.Appearance.quantity_changer == "Y"}
                            <a class="cm-decrease ty-value-changer__decrease">&minus;</a>
                        {/if}
                    </div>
                {/if}
            {/if}
        </div>
    {elseif !$bulk_add}
        <input type="hidden" name="product_data[{$product.product_id}][amount]" value="{$default_amount}" />
    {/if}
    <!--qty_update_{$obj_prefix}{$obj_id}--></div>
    {if $smarty.request.dispatch == "categories.view"}<br>{/if}
{/if}